# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(namespace/autoclean.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Object-ID
%define upstream_version v0.1.2

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt5_9

Summary:    Supply a unique object identifier to every object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Hash/FieldHash.pm)
BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Sub/Name.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(version.pm)
BuildArch:  noarch

# Don't provide perl(UNIVERSAL)
%{?perl_default_filter}
Source44: import.info


%description
This is a unique identifier for any object, regardless of its type,
structure or contents. Its features are:

    * Works on ANY object of any type
    * Does not modify the object in any way
    * Does not change with the object's contents
    * Is O(1) to calculate (ie. doesn't matter how big the object is)
    * The id is unique for the life of the process
    * The id is always a true value

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README SIGNATURE
%perl_vendor_privlib/*


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> v0.1.2-alt5_9
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> v0.1.2-alt5_8
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> v0.1.2-alt5_7
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> v0.1.2-alt5_6
- update by mgaimport

* Mon Dec 15 2014 Cronbuild Service <cronbuild@altlinux.org> v0.1.2-alt5_5
- added Provides: perl(Object/ID.pm) = %%{upstream_version}

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> v0.1.2-alt4_5
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> v0.1.2-alt4_3
- rebuild to get rid of unmets

* Fri Apr 04 2014 Igor Vlasenko <viy@altlinux.ru> v0.1.2-alt3_3
- added Provides: perl(Object/ID.pm) = v0.1.2

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> v0.1.2-alt2_3
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> v0.1.2-alt2_2
- rebuild to get rid of unmets

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> v0.1.2-alt1_2
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> v0.1.2-alt1_1
- converted for ALT Linux by srpmconvert tools

